Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.validation
Interface EntityState

All Known Implementing Classes:
  DTDGrammar

public interface EntityState

The entity state interface defines methods that must be implemented by components that store information about entity declarations, as well as by entity validator that will need to validate attributes of type entity.

Version:
  $Id: EntityState.java,v 1.4 2002/08/09 15:18:17 neilg Exp $
Author:
  Elena Litani, IBM

Method Summary
`boolean` | `isEntityDeclared(java.lang.String name)` Query method to check if entity with this name was declared.
`boolean` | `isEntityUnparsed(java.lang.String name)` Query method to check if entity is unparsed.

Method Detail

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

  Query method to check if entity with this name was declared.
  Parameters:
    `name` -
  Returns:
    true if name is a declared entity

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

  Query method to check if entity is unparsed.
  Parameters:
    `name` -
  Returns:
    true if name is an unparsed entity

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.